Opened 15 years ago

Closed 13 years ago

Last modified 13 years ago

#50 closed defect (wontfix)

-hardframedrop: received SIGSEGV in decode.c

Reported by: 2s2n4e@… Owned by: r_togni@…
Priority: normal Component: vd
Version: HEAD Severity: major
Keywords: Cc: diego@…
Blocked By: Blocking:
Reproduced by developer: Analyzed by developer:

Description

Hello,

I'm experiencing some crashs with mplayer since the 0.9 version.
It occured with some .avi files and when reading DVD.
Here are all the informations I managed to gather with the current CVS
version, let me know if you need some additional information to help
resolve the problem.

It appears that the problem is line 383 of file decode.c.

I have to say that I'm quite experienced in C programming but I'm a
newbie with mplayer project. If someone would be so kind to lend me a
hand to understand the problem in the code, it would be my pleasure to
fix the problem by myself...

Regards,

system information *

OS :
Debian Woody

uname -a :
Linux toto 2.6.5.040501 #1 Sat May 1 16:01:57 CEST 2004 i686 unknown

ls -l /lib/libc[.-]* :
-rwxr-xr-x 1 root root 1153784 avr 8 2003 /lib/libc-2.2.5.so
lrwxrwxrwx 1 root root 13 déc 26 2003 /lib/libc.so.6 ->libc-2.2.5.so

gcc -v :
Reading specs from /usr/lib/gcc-lib/i386-linux/2.95.4/specs
gcc version 2.95.4 20011002 (Debian prerelease)

ld -v :
GNU ld version 2.12.90.0.1 20020307 Debian/GNU Linux

as --version :
Assembleur GNU 2.12.90.0.1 20020307 Debian/GNU Linux

cat /proc/cpuinfo :
processor : 0
vendor_id : GenuineIntel?
cpu family : 6
model : 6
model name : Celeron (Mendocino)
stepping : 5
cpu MHz : 487.553
cache size : 128 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr
pge mca cmov pat pse36 mmx fxsr
bogomips : 964.60

Video Card :
ATI All In Wonder 128 32Mo

Video driver :
GATOS XFree86 4.1.0

Sound Card :
Sound Blaster Live 1024

* GDB informations *

olive@toto:~/sources/mplayer/MPlayer-20040731$ gdb
./mplayer GNU gdb 2002-04-01-cvs
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are welcome to change it and/or distribute copies of it under certain
conditions. Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for
details. This GDB was configured as "i386-linux"...
(gdb) run -v "dvd://2"
Starting program: /home/olive/sources/mplayer/MPlayer-20040731/mplayer
-v "dvd://2"[New Thread 1024 (LWP 20601)]
Using GNU internationalization
Original domain: messages
Original dirname: /usr/share/locale
Current domain: mplayer
Current dirname: /usr/share/locale

MPlayer dev-CVS-040731-06:00-2.95.4 (C) 2000-2004 MPlayer Team

CPU: Intel Celeron A Mendocino/Pentium? II Dixon 487.9 MHz (Family: 6,
Stepping: 5) Detected cache-line size is 32 bytes
CPUflags: MMX: 1 MMX2: 0 3DNow: 0 3DNow2: 0 SSE: 0 SSE2: 0
Compiled for x86 CPU with extensions: MMX

Reading config file /etc/mplayer/mplayer.conf
Reading config file /home/olive/.mplayer/config
Reading /home/olive/.mplayer/codecs.conf: Can't open
'/home/olive/.mplayer/codecs.conf': Aucun fichier ou répertoire de ce
type Reading /etc/mplayer/codecs.conf: Can't open
'/etc/mplayer/codecs.conf': Aucun fichier ou répertoire de ce type Using
built-in default codecs.conf. CommandLine?: '-v' 'dvd://2'
init_freetype
get_path('font/font.desc') -> '/home/olive/.mplayer/font/font.desc'
font: can't open file: /home/olive/.mplayer/font/font.desc
Font /usr/share/mplayer/font/font.desc loaded successfully! (206 chars)
Using MMX Optimized OnScreenDisplay?
Failed to open /dev/rtc: Permission non accordée (it should be readable
by the user.) Using usleep() timing
get_path('input.conf') -> '/home/olive/.mplayer/input.conf'
Can't open input config file /home/olive/.mplayer/input.conf: Aucun
fichier ou répertoire de ce type Can't open input config file
/etc/mplayer/input.conf: Aucun fichier ou répertoire de ce type Falling
back on default (hardcoded) input config get_path('2.conf') ->
'/home/olive/.mplayer/2.conf'

Playing dvd://2.
get_path('DVDKeys') -> '/home/olive/.mplayer/DVDKeys'
Reading disc structure, please wait...
There are 7 titles on this DVD.
There are 13 chapters in this DVD title.
There are 1 angles in this DVD title.
DVD successfully opened.
[open] audio stream: 0 audio format: ac3 (unknown) language: fr aid: 128
[open] audio stream: 1 audio format: ac3 (5.1) language: en aid: 129
[open] audio stream: 2 audio format: ac3 (stereo) language: ja aid: 130
[open] number of audio channels on disk: 3.
[open] subtitle ( sid ): 0 language: fr
[open] number of subtitles on disk: 1
DVD start cell: 0 pack: 0x0-0xE54
DVD start=0 end=1863467
CACHE_PRE_INIT: 0 [0] 0 pre:0 eof:0
Cache fill: 19,68% (3301376 bytes) Checking for YUV4MPEG2
DEMUXER: freeing demuxer at 0x864b0b0
ASF_check: not ASF guid!
DEMUXER: freeing demuxer at 0x864b0b0
Checking for Nullsoft Streaming Video
DEMUXER: freeing demuxer at 0x864b0b0
Checking for NuppelVideo?
DEMUXER: freeing demuxer at 0x864b0b0
Checking for REAL
DEMUXER: freeing demuxer at 0x864b0b0
Checking for SMJPEG
DEMUXER: freeing demuxer at 0x864b0b0
DEMUXER: freeing demuxer at 0x864ba50
DEMUXER: freeing demuxer at 0x864ba50
Searching demuxer type for filename dvd://2 ext: (null)
Checking for MOV
DEMUXER: freeing demuxer at 0x864ba50
Checking for VIVO
header block 1 size: 0
DEMUXER: freeing demuxer at 0x864ba50
DEMUXER: freeing demuxer at 0x864ba50
DEMUXER: freeing demuxer at 0x864ba50
DEMUXER: freeing demuxer at 0x864ba50
DEMUXER: freeing demuxer at 0x864ba50
DEMUXER: freeing demuxer at 0x864ba50
Checking for PVA
DEMUXER: freeing demuxer at 0x864ba50
Checking for MPEG-TS...
TRIED UP TO POSITION 70242, FOUND 47, packet_size= 0, SEEMS A TS? 0
DEMUXER: freeing demuxer at 0x864ba50
Checking for LMLM4 Stream Format
Invalid packet in LMLM4 stream: ch=0 size=1140851708
LMLM4 Stream Format not found
DEMUXER: freeing demuxer at 0x864ba50
system stream synced at 0xD (0)!
==> Found video stream: 0
MPEG-PS file format detected.
==> Found audio stream: 129
==> Found audio stream: 128
Searching for sequence header... OK!
VIDEO: MPEG2 720x576 (aspect 2) 25,000 fps 8500,0 kbps (1062,5
kbyte/s)[V] filefmt:2 fourcc:0x10000002 size:720x576 fps:25,00
ftime:=0,0400 get_path('sub/') -> '/home/olive/.mplayer/sub/'
get_path('default.sub') -> '/home/olive/.mplayer/default.sub'
=======================================================================

Opening audio decoder: [liba52] AC3 decoding with liba52

dec_audio: Allocating 3840 bytes for input buffer.
dec_audio: Allocating 6144 + 65536 = 71680 bytes for output buffer.
No accelerated IMDCT transform found
AC3: 4.0 (3f+1r) 48000 Hz 256,0 kbit/s
A52 flags before a52_frame: 0x2A
A52 flags after a52_frame: 0xA
Using MMX optimized resampler
AUDIO: 48000 Hz, 2 ch, 16 bit (0x10), ratio: 32000->192000 (256,0 kbit)
Selected audio codec: [a52] afm:liba52 (AC3-liba52)
=======================================================================

X11 opening display: :0

vo: X11 color mask: FFFFFF (R:FF0000 G:FF00 B:FF)
vo: X11 running at 1024x768 with depth 24 and 32 bpp (":0" => local
display)[x11] Detected wm supports layers.
[x11] Detected wm supports NetWM.
[x11] Current fstype setting honours LAYER X atoms
=======================================================================

Opening video decoder: [mpegpes] MPEG 1/2 Video passthrough

VDec: vo config request - 720 x 576 (preferred csp: Mpeg PES)
Trying filter chain: vo
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
SwScale? params: -1 x -1 (-1=no scaling)
Trying filter chain: scale vo
The selected video_out device is incompatible with this codec.
VDecoder init failed :(
Opening video decoder: [libmpeg2] MPEG 1/2 Video decoder libmpeg2-v0.3.1
Selected video codec: [mpeg12] vfm:libmpeg2 (MPEG 1 or 2 (libmpeg2))
=======================================================================

Checking audio filter chain for 48000Hz/2ch/16bit ->

48000Hz/2ch/16bit...[libaf] Adding filter dummy
[dummy] Was reinitialized, rate=48000Hz, nch = 2, format = 0x00000001
and bps = 2 AF_pre: af format: 2 bps, 2 ch, 48000 hz, little endian
signed int AF_pre: 48000Hz 2ch Signed 16-bit (Little-Endian)
ao2: 48000 Hz 2 chans Signed 16-bit (Little-Endian)
audio_setup: using '/dev/dsp' dsp device
audio_setup: using '/dev/mixer' mixer device
audio_setup: using 'pcm' mixer device
audio_setup: sample format: Signed 16-bit (Little-Endian) (requested:
Signed 16-bit (Little-Endian)) audio_setup: using 2 channels (requested:
2) audio_setup: using 48000 Hz samplerate (requested: 48000)
audio_setup: frags: 8/8 (8192 bytes/frag) free: 65536
AO: [oss] 48000Hz 2ch Signed 16-bit (Little-Endian) (2 bps)
AO: Description: OSS/ioctl audio output
AO: Author: A'rpi
Building audio filter chain for 48000Hz/2ch/16bit ->
48000Hz/2ch/16bit...[dummy] Was reinitialized, rate=48000Hz, nch = 2,
format = 0x00000001 and bps = 2[dummy] Was reinitialized, rate=48000Hz,
nch = 2, format = 0x00000001 and bps = 2 Starting playback...
==> Found audio stream: 130
VDec: vo config request - 720 x 576 (preferred csp: Planar YV12)
Trying filter chain: vo
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is 1,33:1 - prescaling to correct movie aspect.
VO Config (720x576->768x576,flags=0,'MPlayer',0x32315659)
VO: [xv] 720x576 => 768x576 Planar YV12
VO: Description: X11/Xv
VO: Author: Gerd Knorr <kraxel@…> and others
Xvideo image format: 0x32595559 (YUY2) packed
Xvideo image format: 0x59565955 (UYVY) packed
Xvideo image format: 0x32315659 (YV12) planar
Xvideo image format: 0x30323449 (I420) planar
using Xvideo port 50 for hw scaling
[xv] dx: 0 dy: 0 dw: 768 dh: 576
* [vo] Allocating mp_image_t, 720x576x12bpp YUV planar, 622080 bytes
[xv] dx: 0 dy: 0 dw: 768 dh: 576
* [vo] Allocating mp_image_t, 720x576x12bpp YUV planar, 622080 bytes0%

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1024 (LWP 20601)]
0x0812d0e8 in mpeg2_set_buf (mpeg2dec=0x8671e50, buf=0x865a1d0,
id=0x865a1b0) at decode.c:383 383 if (mpeg2dec->custom_fbuf &&
!mpeg2dec->fbuf[1]->buf[0]){(gdb) --- END OF CELL !!! ---
dvd_next_cell: next1=0x0
dvd_next_cell: next2=0x0
dvd_next_cell: next3=0x1
DVD next cell: 1 pack: 0xE55-0x3013B

* backtrace

#0 0x0812d0e8 in mpeg2_set_buf (mpeg2dec=0x8671e50, buf=0x865a1d0,
id=0x865a1b0) at decode.c:383
#1 0x080e3f7e in decode (sh=0x864e450, data=0x41921008, len=19270,
flags=0) at vd_libmpeg2.c:147
#2 0x080e2456 in decode_video (sh_video=0x864e450, start=0x41921008 "",
in_size=19270, drop_frame=0) at dec_video.c:309
#3 0x0807b0d4 in main (argc=3, argv=0xbffff9c4) at mplayer.c:211

* disass

(gdb) disass $pc-32 $pc+32
Dump of assembler code from 0x812d0c8 to 0x812d108:
0x812d0c8 <mpeg2_set_buf+120>: inc %esi
0x812d0c9 <mpeg2_set_buf+121>: add $0x89,%al
0x812d0cb <mpeg2_set_buf+123>: inc %ecx
0x812d0cc <mpeg2_set_buf+124>: add $0x8b,%al
0x812d0ce <mpeg2_set_buf+126>: inc %esi
0x812d0cf <mpeg2_set_buf+127>: or %cl,0x458b0841(%ecx)
0x812d0d5 <mpeg2_set_buf+133>: adc %cl,0xbb830c41(%ecx)
0x812d0db <mpeg2_set_buf+139>: rolb (%ebx)
0x812d0dd <mpeg2_set_buf+141>: add %al,(%eax)
0x812d0df <mpeg2_set_buf+143>: add %dh,0xffffff8b(%esp,%esi,1)
0x812d0e3 <mpeg2_set_buf+147>: xchg %eax,%ebx
0x812d0e4 <mpeg2_set_buf+148>: cwtl
0x812d0e5 <mpeg2_set_buf+149>: add (%eax),%eax
0x812d0e7 <mpeg2_set_buf+151>: add %al,0x2975003a(%ebx)
0x812d0ed <mpeg2_set_buf+157>: mov (%esi),%eax
0x812d0ef <mpeg2_set_buf+159>: mov %eax,(%edx)
0x812d0f1 <mpeg2_set_buf+161>: mov 0x398(%ebx),%edx
0x812d0f7 <mpeg2_set_buf+167>: mov 0x4(%esi),%eax
0x812d0fa <mpeg2_set_buf+170>: mov %eax,0x4(%edx)
0x812d0fd <mpeg2_set_buf+173>: mov 0x398(%ebx),%edx
0x812d103 <mpeg2_set_buf+179>: mov 0x8(%esi),%eax
0x812d106 <mpeg2_set_buf+182>: mov %eax,0x8(%edx)
---Type <return> to continue, or q <return> to quit---
End of assembler dump.

* registers
(gdb) info all-registers
eax 0x865a1b0 140878256
ecx 0x86721f0 140976624
edx 0x0 0
ebx 0x8671e50 140975696
esp 0xbfffd5b4 0xbfffd5b4
ebp 0xbfffd5dc 0xbfffd5dc
esi 0x865a1d0 140878288
edi 0x8671e50 140975696
eip 0x812d0e8 0x812d0e8
eflags 0x10202 66050
cs 0x73 115
ss 0x7b 123
ds 0x7b 123
es 0x7b 123
fs 0x0 0
gs 0x0 0
st0 -nan(0xff94fdb2ff92fdb6) (raw 0xffffff94fdb2ff92fdb6)
st1 -1 (raw 0xbfff8000000000000000)
st2 0.00799999944865703582763671875 (raw 0x3ff883126e0000000000)
st3 0.011999999172985553741455078125 (raw 0x3ff8c49ba50000000000)
st4 0.23981253218650817871353958521396521 (raw 0x3ffcf5916a9ba5e353f8)
st5 -0.25 (raw 0xbffd8000000000000000)
st6 -0.2199999973177909906585369981257827 (raw 0xbffce147ade666666800)
---Type <return> to continue, or q <return> to quit---
st7 -0.16354162065188090007623530897085118 (raw 0xbffca7777460f04c756c)
fctrl 0x37f 895
fstat 0x120 288
ftag 0xffff 65535
fiseg 0x73 115
fioff 0x807b078 134721656
foseg 0x7b 123
fooff 0x83b9b28 138124072
fop 0x5d8 1496
xmm0 {f = {0x0, 0x0, 0x0, 0x0}} {f = {-nan(0x7fffff),
-nan(0x7fffff), -nan(0x7fffff), -nan(0x7fffff)}}
xmm1 {f = {0x0, 0x0, 0x0, 0x0}} {f = {-nan(0x7fffff),
-nan(0x7fffff),-nan(0x7fffff), -nan(0x7fffff)}}
xmm2 {f = {0x0, 0x0, 0x0, 0x0}} {f = {-nan(0x7fffff),
-nan(0x7fffff),-nan(0x7fffff),-nan(0x7fffff)}}
xmm3 {f = {0x0, 0x0, 0x0, 0x0}} {f ={-nan(0x7fffff),
-nan(0x7fffff), -nan(0x7fffff),-nan(0x7fffff)}}
xmm4 {f = {0x0, 0x0, 0x0, 0x0}} {f ={-nan(0x7fffff),
-nan(0x7fffff),-nan(0x7fffff),-nan(0x7fffff)}}
xmm5 {f = {0x0, 0x0, 0x0, 0x0}} {f ={-nan(0x7fffff),
-nan(0x7fffff),-nan(0x7fffff),-nan(0x7fffff)}}
xmm6 {f = {0x0, 0x0, 0x0, 0x0}} {f ={-nan(0x7fffff),
-nan(0x7fffff),-nan(0x7fffff),-nan(0x7fffff)}}
xmm7 {f = {0x0, 0x0, 0x0, 0x0}}{f ={-nan(0x7fffff),
-nan(0x7fffff),-nan(0x7fffff),-nan(0x7fffff)}}
mxcsr 0x1f80 8064
orig_eax 0xffffffff -

Change History (19)

comment:1 Changed 15 years ago by reimar

Please try current CVS, libmpeg2 was recently replaced by a newer version.

comment:2 Changed 15 years ago by 2s2n4e@…

(In reply to comment #1)

Please try current CVS, libmpeg2 was recently replaced by a newer version.

I've tried the version 20040805 of CVS : exactly the same problem (however this
time it's at line 355 of decode.c but it's the same line :

HACK! FIXME! At first I frame, copy pointers to prediction frame too!
if (mpeg2dec->custom_fbuf && !mpeg2dec->fbuf[1]->buf[0]){

comment:3 Changed 15 years ago by r_togni@…

libmpeg2 was updated and then fixed recently.
Please retest with cvs after 27/8 and report, so we can eventually close this bug

comment:4 Changed 15 years ago by 2s2n4e@…

(In reply to comment #3)

libmpeg2 was updated and then fixed recently.
Please retest with cvs after 27/8 and report, so we can eventually close this bug

Tested with CVS MPlayer-20040901 :
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1024 (LWP 13591)]
0x0812e628 in mpeg2_set_buf (mpeg2dec=0x8687740, buf=0x869bee0, id=0x869bec0) at
decode.c:355
355 if (mpeg2dec->custom_fbuf && !mpeg2dec->fbuf[1]->buf[0]){

comment:5 Changed 14 years ago by diego@…

  • Owner changed from alex@… to r_togni@…

Mass reassign all vd bugs to Roberto, the new component owner.

comment:6 Changed 14 years ago by r_togni@…

This bugreport is 2 months old.
Is it still there or can i close it?

comment:7 Changed 14 years ago by 2s2n4e@…

(In reply to comment #6)

This bugreport is 2 months old.
Is it still there or can i close it?

Unfortunately the bug is still here (I've tried the current CVS).
Since then I've upgraded my system (from Debian stable Woody to Debian testing
Sarge) but I always have the bug.

Here are the updated messages :

system information *

OS :
Debian Testing

uname -a :
Linux toto 2.6.5.040501 #1 Sat May 1 16:01:57 CEST 2004 i686 unknown

ls -l /lib/libc[.-]* :
-rw-r--r-- 1 root root 1244080 2004-10-13 21:40 /lib/libc-2.3.2.so
lrwxrwxrwx 1 root root 13 2004-10-27 00:51 /lib/libc.so.6 -> libc-2.3.2.so

gcc -v :
Lecture des spécification à partir de /usr/lib/gcc-lib/i486-linux/3.3.4/specs
Configuré avec: ../src/configure -v
--enable-languages=c,c++,java,f77,pascal,objc,ada,treelang --prefix=/usr
--mandir=/usr/share/man --infodir=/usr/share/info
--with-gxx-include-dir=/usr/include/c++/3.3 --enable-shared --with-system-zlib
--enable-nls --without-included-gettext --enable-cxa_atexit
--enable-clocale=gnu --enable-debug --enable-java-gc=boehm
--enable-java-awt=xlib --enable-objc-gc i486-linux
Modèle de thread: posix
version gcc 3.3.4 (Debian 1:3.3.4-6sarge1)

ld -v :
GNU ld version 2.15

as --version :
Assembleur GNU 2.15
Copyright 2002 Free Software Foundation, Inc.
Ce logiciel est libre; vous pouvez le redistribuer selon les termes de la
licence GNU General Public License. AUCUNE garantie n'est donnée.
Cet assembleur a été configuré pour la cible « i386-linux ».

cat /proc/cpuinfo :
processor : 0
vendor_id : GenuineIntel?
cpu family : 6
model : 6
model name : Celeron (Mendocino)
stepping : 5
cpu MHz : 487.553
cache size : 128 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr
pge mca cmov pat pse36 mmx fxsr
bogomips : 964.60

Video Card :
ATI All In Wonder 128 32Mo

Video driver :
GATOS XFree86 4.3.0-14

Sound Card :
Sound Blaster Live 1024

* GDB informations *

olive@linuxcestcomplique:~/sources/mplayer/MPlayer-20041114$ gdb ./mplayer

GNU gdb 6.1-debian
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "i386-linux"...Using host libthread_db library
"/lib/tls/libthread_db.so.1".

(gdb) run -v "dvd://2"
Starting program: /home/olive/sources/mplayer/MPlayer-20041114/mplayer -v "dvd://2"
[Thread debugging using libthread_db enabled]
[New Thread 1086140544 (LWP 7993)]
Using GNU internationalization
Original domain: messages
Original dirname: /usr/share/locale
Current domain: mplayer
Current dirname: /usr/share/locale

MPlayer dev-CVS-041114-06:00-3.3.4 (C) 2000-2004 MPlayer Team

CPU: Intel Celeron A Mendocino/Pentium? II Dixon (Family: 6, Stepping: 5)
Detected cache-line size is 32 bytes
CPUflags: MMX: 1 MMX2: 0 3DNow: 0 3DNow2: 0 SSE: 0 SSE2: 0
Compiled for x86 CPU with extensions: MMX

Reading config file /etc/mplayer/mplayer.conf: Aucun fichier ou répertoire de ce
type
Reading config file /home/olive/.mplayer/config
Reading /home/olive/.mplayer/codecs.conf: Can't open
'/home/olive/.mplayer/codecs.conf': Aucun fichier ou répertoire de ce type
Reading /etc/mplayer/codecs.conf: Can't open '/etc/mplayer/codecs.conf': Aucun
fichier ou répertoire de ce type
Using built-in default codecs.conf.
CommandLine?: '-v' 'dvd://2'
init_freetype
get_path('font/font.desc') -> '/home/olive/.mplayer/font/font.desc'
font: can't open file: /home/olive/.mplayer/font/font.desc
font: can't open file: /usr/share/mplayer/font/font.desc
Using MMX Optimized OnScreenDisplay?
Failed to open /dev/rtc: Permission non accordée (it should be readable by the
user.)
Using nanosleep() timing
get_path('input.conf') -> '/home/olive/.mplayer/input.conf'
Can't open input config file /home/olive/.mplayer/input.conf: Aucun fichier ou
répertoire de ce type
Can't open input config file /etc/mplayer/input.conf: Aucun fichier ou
répertoire de ce type
Falling back on default (hardcoded) input config
get_path('2.conf') -> '/home/olive/.mplayer/2.conf'

Playing dvd://2.
get_path('DVDKeys') -> '/home/olive/.mplayer/DVDKeys'
Reading disc structure, please wait...
There are 2 titles on this DVD.
There are 17 chapters in this DVD title.
There are 1 angles in this DVD title.
DVD successfully opened.
[open] audio stream: 0 audio format: mpeg1 (mono) language: fr aid: 0
[open] number of audio channels on disk: 1.
[open] number of subtitles on disk: 0
DVD start cell: 0 pack: 0x2176-0x6802
DVD start=8566 end=2028237
Detaching after fork from child process 7996.
CACHE_PRE_INIT: 0 [0] 0 pre:0 eof:0
Cache fill: 17,29% (2899968 bytes) DVD Seek! lba=0x2176 cell=0 packs:
0x2176-0x6802
Angle-seek synced by cell/vob IDN search!
DEMUXER: freeing demuxer at 0x8664a40
Checking for YUV4MPEG2
DEMUXER: freeing demuxer at 0x86653e0
ASF_check: not ASF guid!
DEMUXER: freeing demuxer at 0x86653e0
Checking for Nullsoft Streaming Video
DEMUXER: freeing demuxer at 0x86653e0
Checking for NuppelVideo?
DEMUXER: freeing demuxer at 0x86653e0
Checking for REAL
DEMUXER: freeing demuxer at 0x86653e0
Checking for SMJPEG
DEMUXER: freeing demuxer at 0x86653e0
DEMUXER: freeing demuxer at 0x8665d80
DEMUXER: freeing demuxer at 0x8665d80
Searching demuxer type for filename dvd://2 ext: (null)
Checking for MOV
DEMUXER: freeing demuxer at 0x8665d80
Checking for VIVO
header block 1 size: 0
DEMUXER: freeing demuxer at 0x8665d80
DVD Seek! lba=0x2176 cell=0 packs: 0x2176-0x6802
Angle-seek synced by cell/vob IDN search!
DEMUXER: freeing demuxer at 0x8665d80
DVD Seek! lba=0x2176 cell=0 packs: 0x2176-0x6802
Angle-seek synced by cell/vob IDN search!
DEMUXER: freeing demuxer at 0x8665d80
DEMUXER: freeing demuxer at 0x8665d80
DEMUXER: freeing demuxer at 0x8665d80
DEMUXER: freeing demuxer at 0x8665d80
Checking for PVA
DEMUXER: freeing demuxer at 0x8665d80
Checking for MPEG-TS...
TRIED UP TO POSITION 17610721, FOUND 47, packet_size= 0, SEEMS A TS? 0
DEMUXER: freeing demuxer at 0x8665d80
Checking for LMLM4 Stream Format
Invalid packet in LMLM4 stream: ch=0 size=1140851708
LMLM4 Stream Format not found
DEMUXER: freeing demuxer at 0x8665d80
system stream synced at 0x10BB00D (0)!
==> Found video stream: 0
dvd_next_cell: next1=0x0
dvd_next_cell: next2=0x0
dvd_next_cell: next3=0x1
dvd_next_cell: next1=0x1
dvd_next_cell: next2=0x1
dvd_next_cell: next3=0x2
dvd_next_cell: next1=0x2
dvd_next_cell: next2=0x2
dvd_next_cell: next3=0x3
dvd_next_cell: next1=0x3
dvd_next_cell: next2=0x3
dvd_next_cell: next3=0x4
dvd_next_cell: next1=0x4
dvd_next_cell: next2=0x4
dvd_next_cell: next3=0x5
dvd_next_cell: next1=0x5
dvd_next_cell: next2=0x5
dvd_next_cell: next3=0x6
dvd_next_cell: next1=0x6
dvd_next_cell: next2=0x6
dvd_next_cell: next3=0x7
dvd_next_cell: next1=0x7
dvd_next_cell: next2=0x7
dvd_next_cell: next3=0x8
dvd_next_cell: next1=0x8
dvd_next_cell: next2=0x8
dvd_next_cell: next3=0x9
DVD Seek! lba=0xF9A62 cell=9 packs: 0xF9221-0x1143AA
Angle-seek synced by cell/vob IDN search!
==> Found audio stream: 0
dvd_next_cell: next1=0x0
dvd_next_cell: next2=0x0
dvd_next_cell: next3=0x1
dvd_next_cell: next1=0x1
dvd_next_cell: next2=0x1
dvd_next_cell: next3=0x2
dvd_next_cell: next1=0x2
dvd_next_cell: next2=0x2
dvd_next_cell: next3=0x3
dvd_next_cell: next1=0x3
dvd_next_cell: next2=0x3
dvd_next_cell: next3=0x4
dvd_next_cell: next1=0x4
dvd_next_cell: next2=0x4
dvd_next_cell: next3=0x5
dvd_next_cell: next1=0x5
dvd_next_cell: next2=0x5
dvd_next_cell: next3=0x6
dvd_next_cell: next1=0x6
dvd_next_cell: next2=0x6
dvd_next_cell: next3=0x7
dvd_next_cell: next1=0x7
dvd_next_cell: next2=0x7
dvd_next_cell: next3=0x8
dvd_next_cell: next1=0x8
dvd_next_cell: next2=0x8
dvd_next_cell: next3=0x9
dvd_next_cell: next1=0x9
dvd_next_cell: next2=0x9
dvd_next_cell: next3=0xA
dvd_next_cell: next1=0xA
dvd_next_cell: next2=0xA
dvd_next_cell: next3=0xB
dvd_next_cell: next1=0xB
dvd_next_cell: next2=0xB
dvd_next_cell: next3=0xC
dvd_next_cell: next1=0xC
dvd_next_cell: next2=0xC
dvd_next_cell: next3=0xD
dvd_next_cell: next1=0xD
dvd_next_cell: next2=0xD
dvd_next_cell: next3=0xE
dvd_next_cell: next1=0xE
dvd_next_cell: next2=0xE
dvd_next_cell: next3=0xF
dvd_next_cell: next1=0xF
dvd_next_cell: next2=0xF
dvd_next_cell: next3=0x10
DVD Seek! lba=0x1EF1D8 cell=16 packs: 0x1D9805-0x1EF2CD
Angle-seek synced by cell/vob IDN search!
--- END OF CELL !!! ---
dvd_next_cell: next1=0x10
dvd_next_cell: next2=0x10
MPEG Stream reached EOF
ds_fill_buffer: EOF reached (stream: video)
DVD Seek! lba=0x2176 cell=0 packs: 0x2176-0x6802
Angle-seek synced by cell/vob IDN search!
MPEG-PS file format detected.
Searching for sequence header... OK!
VIDEO: MPEG2 704x576 (aspect 2) 25,000 fps 9500,0 kbps (1187,5 kbyte/s)
[V] filefmt:2 fourcc:0x10000002 size:704x576 fps:25,00 ftime:=0,0400
get_path('sub/') -> '/home/olive/.mplayer/sub/'
get_path('default.sub') -> '/home/olive/.mplayer/default.sub'
==========================================================================
Opening audio decoder: [mp3lib] MPEG layer-2, layer-3
dec_audio: Allocating 4608 + 65536 = 70144 bytes for output buffer.
mp3lib: made decode tables with MMX optimization
mp3lib: using MMX optimized decore!
MP3lib: init layer2&3 finished, tables done
MPEG 1.0, Layer II, 48000 Hz 128 kbit Single-Channel, BPF: 384
Channels: 1, copyright: No, original: No, CRC: Yes, emphasis: 0
AUDIO: 48000 Hz, 2 ch, 16 bit (0x10), ratio: 16000->192000 (128,0 kbit)
Selected audio codec: [mp3] afm:mp3lib (mp3lib MPEG layer-2, layer-3)
==========================================================================
X11 opening display: :0.0
vo: X11 color mask: FFFFFF (R:FF0000 G:FF00 B:FF)
vo: X11 running at 1024x768 with depth 24 and 32 bpp (":0.0" => local display)
[x11] Detected wm supports NetWM.
[x11] Detected wm supports FULLSCREEN state.
[x11] Detected wm supports ABOVE state.
[x11] Detected wm supports BELOW state.
[x11] Current fstype setting honours FULLSCREEN ABOVE BELOW X atoms
Disabling DPMS
DPMSDisable stat: 1
==========================================================================
Opening video decoder: [mpegpes] MPEG 1/2 Video passthrough
VDec: vo config request - 704 x 576 (preferred csp: Mpeg PES)
Trying filter chain: vo
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
SwScale? params: -1 x -1 (-1=no scaling)
Trying filter chain: scale vo
The selected video_out device is incompatible with this codec.
VDecoder init failed :(
Opening video decoder: [libmpeg2] MPEG 1/2 Video decoder libmpeg2-v0.4.0b
Selected video codec: [mpeg12] vfm:libmpeg2 (MPEG 1 or 2 (libmpeg2))
==========================================================================
Checking audio filter chain for 48000Hz/2ch/16bit -> 48000Hz/2ch/16bit...
[libaf] Adding filter dummy
[dummy] Was reinitialized, rate=48000Hz, nch = 2, format = 0x00000001 and bps = 2
AF_pre: af format: 2 bps, 2 ch, 48000 hz, little endian signed int
AF_pre: 48000Hz 2ch Signed 16-bit (Little-Endian)
ao2: 48000 Hz 2 chans Signed 16-bit (Little-Endian)
audio_setup: using '/dev/dsp' dsp device
audio_setup: using '/dev/mixer' mixer device
audio_setup: using 'pcm' mixer device
audio_setup: sample format: Signed 16-bit (Little-Endian) (requested: Signed
16-bit (Little-Endian))
audio_setup: using 2 channels (requested: 2)
audio_setup: using 48000 Hz samplerate (requested: 48000)
audio_setup: frags: 8/8 (8192 bytes/frag) free: 65536
AO: [oss] 48000Hz 2ch Signed 16-bit (Little-Endian) (2 bps)
AO: Description: OSS/ioctl audio output
AO: Author: A'rpi
Building audio filter chain for 48000Hz/2ch/16bit -> 48000Hz/2ch/16bit...
[dummy] Was reinitialized, rate=48000Hz, nch = 2, format = 0x00000001 and bps = 2
[dummy] Was reinitialized, rate=48000Hz, nch = 2, format = 0x00000001 and bps = 2
Starting playback...
VDec: vo config request - 704 x 576 (preferred csp: Planar YV12)
Trying filter chain: vo
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is 1,33:1 - prescaling to correct movie aspect.
VO Config (704x576->768x576,flags=0,'MPlayer',0x32315659)
VO: [xv] 704x576 => 768x576 Planar YV12
VO: Description: X11/Xv
VO: Author: Gerd Knorr <kraxel@…> and others
Xvideo image format: 0x32595559 (YUY2) packed
Xvideo image format: 0x59565955 (UYVY) packed
Xvideo image format: 0x32315659 (YV12) planar
Xvideo image format: 0x30323449 (I420) planar
using Xvideo port 69 for hw scaling
[xv] dx: 0 dy: 0 dw: 768 dh: 576
* [vo] Allocating mp_image_t, 704x576x12bpp YUV planar, 608256 bytes
[xv] dx: 0 dy: 0 dw: 768 dh: 576
* [vo] Allocating mp_image_t, 704x576x12bpp YUV planar, 608256 bytes

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1086140544 (LWP 7993)]
0x083e4efd in mpeg2_set_buf (mpeg2dec=0x86b7b00, buf=0x866ec28, id=0x866ec08) at
decode.c:355
355 if (mpeg2dec->custom_fbuf && !mpeg2dec->fbuf[1]->buf[0]){
(gdb)

* backtrace

(gdb) bt
#0 0x083e4efd in mpeg2_set_buf (mpeg2dec=0x86b7b00, buf=0x866ec28,
id=0x866ec08) at decode.c:355
#1 0x080f9c2c in decode (sh=0x8668790, data=0x41d93008, len=14500, flags=0) at
vd_libmpeg2.c:167
#2 0x080f7cf3 in decode_video (sh_video=0x8668790, start=0x866ec08 "",
in_size=140962824, drop_frame=0)

at dec_video.c:309

#3 0x08081093 in main (argc=3, argv=0xbffff954) at mplayer.c:2280

* disass

(gdb) disass $pc-32 $pc+32
Dump of assembler code from 0x83e4edd to 0x83e4f1d:
0x083e4edd <mpeg2_set_buf+77>: mov (%esi),%eax
0x083e4edf <mpeg2_set_buf+79>: test %ecx,%ecx
0x083e4ee1 <mpeg2_set_buf+81>: mov %eax,(%edx)
0x083e4ee3 <mpeg2_set_buf+83>: mov 0x4(%esi),%eax
0x083e4ee6 <mpeg2_set_buf+86>: mov %eax,0x4(%edx)
0x083e4ee9 <mpeg2_set_buf+89>: mov 0x8(%esi),%eax
0x083e4eec <mpeg2_set_buf+92>: mov %eax,0x8(%edx)
0x083e4eef <mpeg2_set_buf+95>: mov 0x10(%ebp),%eax
0x083e4ef2 <mpeg2_set_buf+98>: mov %eax,0xc(%edx)
0x083e4ef5 <mpeg2_set_buf+101>: je 0x83e4f20 <mpeg2_set_buf+144>
0x083e4ef7 <mpeg2_set_buf+103>: mov 0x4438(%ebx),%edx
0x083e4efd <mpeg2_set_buf+109>: mov (%edx),%eax
0x083e4eff <mpeg2_set_buf+111>: test %eax,%eax
0x083e4f01 <mpeg2_set_buf+113>: jne 0x83e4f20 <mpeg2_set_buf+144>
0x083e4f03 <mpeg2_set_buf+115>: movl $0x0,0xc(%edx)
0x083e4f0a <mpeg2_set_buf+122>: mov (%esi),%eax
0x083e4f0c <mpeg2_set_buf+124>: mov %eax,(%edx)
0x083e4f0e <mpeg2_set_buf+126>: mov 0x4(%esi),%eax
0x083e4f11 <mpeg2_set_buf+129>: mov %eax,0x4(%edx)
0x083e4f14 <mpeg2_set_buf+132>: mov 0x8(%esi),%eax
0x083e4f17 <mpeg2_set_buf+135>: mov %eax,0x8(%edx)
---Type <return> to continue, or q <return> to quit---
0x083e4f1a <mpeg2_set_buf+138>: lea 0x0(%esi),%esi
End of assembler dump.

* registers
(gdb) info all-registers
eax 0x866ec08 140962824
ecx 0x1 1
edx 0x0 0
ebx 0x86b7b00 141261568
esp 0xbfffd540 0xbfffd540
ebp 0xbfffd558 0xbfffd558
esi 0x866ec28 140962856
edi 0x86bbd50 141278544
eip 0x83e4efd 0x83e4efd
eflags 0x10202 66050
cs 0x73 115
ss 0x7b 123
ds 0x7b 123
es 0x7b 123
fs 0x0 0
gs 0x33 51
st0 -nan(0x1cf840001cf840) (raw 0xffff001cf840001cf840)
st1 -nan(0xffe407c0ffe407c0) (raw 0xffffffe407c0ffe407c0)
st2 -1 (raw 0xbfff8000000000000000)
st3 0.538666597567498683929443359375 (raw 0x3ffe89e60ddc00000000)
st4 0.0159999988973140716552734375 (raw 0x3ff983126e0000000000)
st5 250000 (raw 0x4010f424000000000000)
---Type <return> to continue, or q <return> to quit---
st6 -0.2599999964237213190276776231257827 (raw 0xbffd851eb83333333400)
st7 -0.1964999476273854573640711279614024 (raw 0xbffcc9374842e6bdc806)
fctrl 0x37f 895
fstat 0x120 288
ftag 0xffff 65535
fiseg 0x73 115
fioff 0x808111f 134746399
foseg 0x7b 123
fooff 0x83fb3f0 138392560
fop 0x5d8 1496
xmm0 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double =
{0x8000000000000000, 0x8000000000000000}, v16_int8 = {

0xff <repeats 16 times>}, v8_int16 = {0xffff, 0xffff, 0xffff, 0xffff,

0xffff, 0xffff, 0xffff, 0xffff}, v4_int32 = {

0xffffffff, 0xffffffff, 0xffffffff, 0xffffffff}, v2_int64 =

{0xffffffffffffffff, 0xffffffffffffffff},

uint128 = 0xffffffffffffffffffffffffffffffff}

xmm1 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double =
{0x8000000000000000, 0x8000000000000000}, v16_int8 = {

0xff <repeats 16 times>}, v8_int16 = {0xffff, 0xffff, 0xffff, 0xffff,

0xffff, 0xffff, 0xffff, 0xffff}, v4_int32 = {

0xffffffff, 0xffffffff, 0xffffffff, 0xffffffff}, v2_int64 =

{0xffffffffffffffff, 0xffffffffffffffff},

uint128 = 0xffffffffffffffffffffffffffffffff}

xmm2 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double =
{0x8000000000000000, 0x8000000000000000}, v16_int8 = {

0xff <repeats 16 times>}, v8_int16 = {0xffff, 0xffff, 0xffff, 0xffff,

0xffff, 0xffff, 0xffff, 0xffff}, v4_int32 = {

0xffffffff, 0xffffffff, 0xffffffff, 0xffffffff}, v2_int64 =

{0xffffffffffffffff, 0xffffffffffffffff},

uint128 = 0xffffffffffffffffffffffffffffffff}

---Type <return> to continue, or q <return> to quit---
xmm3 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double =
{0x8000000000000000, 0x8000000000000000}, v16_int8 = {

0xff <repeats 16 times>}, v8_int16 = {0xffff, 0xffff, 0xffff, 0xffff,

0xffff, 0xffff, 0xffff, 0xffff}, v4_int32 = {

0xffffffff, 0xffffffff, 0xffffffff, 0xffffffff}, v2_int64 =

{0xffffffffffffffff, 0xffffffffffffffff},

uint128 = 0xffffffffffffffffffffffffffffffff}

xmm4 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double =
{0x8000000000000000, 0x8000000000000000}, v16_int8 = {

0xff <repeats 16 times>}, v8_int16 = {0xffff, 0xffff, 0xffff, 0xffff,

0xffff, 0xffff, 0xffff, 0xffff}, v4_int32 = {

0xffffffff, 0xffffffff, 0xffffffff, 0xffffffff}, v2_int64 =

{0xffffffffffffffff, 0xffffffffffffffff},

uint128 = 0xffffffffffffffffffffffffffffffff}

xmm5 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double =
{0x8000000000000000, 0x8000000000000000}, v16_int8 = {

0xff <repeats 16 times>}, v8_int16 = {0xffff, 0xffff, 0xffff, 0xffff,

0xffff, 0xffff, 0xffff, 0xffff}, v4_int32 = {

0xffffffff, 0xffffffff, 0xffffffff, 0xffffffff}, v2_int64 =

{0xffffffffffffffff, 0xffffffffffffffff},

uint128 = 0xffffffffffffffffffffffffffffffff}

xmm6 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double =
{0x8000000000000000, 0x8000000000000000}, v16_int8 = {

0xff <repeats 16 times>}, v8_int16 = {0xffff, 0xffff, 0xffff, 0xffff,

0xffff, 0xffff, 0xffff, 0xffff}, v4_int32 = {

0xffffffff, 0xffffffff, 0xffffffff, 0xffffffff}, v2_int64 =

{0xffffffffffffffff, 0xffffffffffffffff},

uint128 = 0xffffffffffffffffffffffffffffffff}

xmm7 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double =
{0x8000000000000000, 0x8000000000000000}, v16_int8 = {

0xff <repeats 16 times>}, v8_int16 = {0xffff, 0xffff, 0xffff, 0xffff,

0xffff, 0xffff, 0xffff, 0xffff}, v4_int32 = {

0xffffffff, 0xffffffff, 0xffffffff, 0xffffffff}, v2_int64 =

{0xffffffffffffffff, 0xffffffffffffffff},

uint128 = 0xffffffffffffffffffffffffffffffff}

mxcsr 0x1f80 8064
mm0 {uint64 = 0x1cf840001cf840, v2_int32 = {0x1cf840, 0x1cf840},
v4_int16 = {0xf840, 0x1c, 0xf840, 0x1c},
---Type <return> to continue, or q <return> to quit---

v8_int8 = {0x40, 0xf8, 0x1c, 0x0, 0x40, 0xf8, 0x1c, 0x0}}

mm1 {uint64 = 0xffe407c0ffe407c0, v2_int32 = {0xffe407c0,
0xffe407c0}, v4_int16 = {0x7c0, 0xffe4, 0x7c0,

0xffe4}, v8_int8 = {0xc0, 0x7, 0xe4, 0xff, 0xc0, 0x7, 0xe4, 0xff}}

mm2 {uint64 = 0x8000000000000000, v2_int32 = {0x0, 0x80000000},
v4_int16 = {0x0, 0x0, 0x0, 0x8000},

v8_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x80}}

mm3 {uint64 = 0x89e60ddc00000000, v2_int32 = {0x0, 0x89e60ddc},
v4_int16 = {0x0, 0x0, 0xddc, 0x89e6},

v8_int8 = {0x0, 0x0, 0x0, 0x0, 0xdc, 0xd, 0xe6, 0x89}}

mm4 {uint64 = 0x83126e0000000000, v2_int32 = {0x0, 0x83126e00},
v4_int16 = {0x0, 0x0, 0x6e00, 0x8312},

v8_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x6e, 0x12, 0x83}}

mm5 {uint64 = 0xf424000000000000, v2_int32 = {0x0, 0xf4240000},
v4_int16 = {0x0, 0x0, 0x0, 0xf424},

v8_int8 = {0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x24, 0xf4}}

mm6 {uint64 = 0x851eb83333333400, v2_int32 = {0x33333400,
0x851eb833}, v4_int16 = {0x3400, 0x3333, 0xb833,

0x851e}, v8_int8 = {0x0, 0x34, 0x33, 0x33, 0x33, 0xb8, 0x1e, 0x85}}

mm7 {uint64 = 0xc9374842e6bdc806, v2_int32 = {0xe6bdc806,
0xc9374842}, v4_int16 = {0xc806, 0xe6bd, 0x4842,

0xc937}, v8_int8 = {0x6, 0xc8, 0xbd, 0xe6, 0x42, 0x48, 0x37, 0xc9}}

comment:8 Changed 14 years ago by diego@…

  • Cc diego@… added

There were some bug fixes applied to libmpeg2 recently. Please try latest CVS
and report back.

comment:9 Changed 14 years ago by r_togni@…

  • Resolution set to invalid
  • Status changed from new to closed

Old bugreport about changed code, no answer from bugreporter in months => closed
as invalid

comment:10 Changed 14 years ago by 2s2n4e@…

  • Resolution invalid deleted
  • Status changed from closed to reopened

Hello,

Sorry to have been out for so long.
I've just tested the last CVS version of mplayer and the bug is still here.
Interesting enough, when I play the files with -nosound, everything goes fine !
Don't know what is wrong with my audio ?

Here are the informations for my configuration :

system information *

OS :
Debian Testing

uname -a :
Linux toto 2.6.10.050224 #1 Thu Feb 24 01:31:43 CET 2005 i686 GNU/Linux

ls -l /lib/libc[.-]* :
-rw-r--r-- 1 root root 1244688 2005-04-16 14:10 /lib/libc-2.3.2.so
lrwxrwxrwx 1 root root 13 2005-04-28 23:08 /lib/libc.so.6 -> libc-2.3.2.so

gcc -v :
Lecture des spécification à partir de /usr/lib/gcc-lib/i486-linux/3.3.5/specs
Configuré avec: ../src/configure -v
--enable-languages=c,c++,java,f77,pascal,objc,ada,treelang --prefix=/usr
--mandir=/usr/share/man --infodir=/usr/share/info
--with-gxx-include-dir=/usr/include/c++/3.3 --enable-shared
--enable-cxa_atexit --with-system-zlib --enable-nls --without-included-gettext
--enable-clocale=gnu --enable-debug --enable-java-gc=boehm
--enable-java-awt=xlib --enable-objc-gc i486-linux
Modèle de thread: posix
version gcc 3.3.5 (Debian 1:3.3.5-12)

ld -v :
GNU ld version 2.15

as --version :
Assembleur GNU 2.15

cat /proc/cpuinfo :
processor : 0
vendor_id : GenuineIntel?
cpu family : 6
model : 6
model name : Celeron (Mendocino)
stepping : 5
cpu MHz : 487.616
cache size : 128 KB
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat pse36 mmx fxsr
bogomips : 962.56

Video Card :
ATI All In Wonder 128 32Mo

Video driver :
GATOS + XFree86 Version 4.3.0.1 (Debian 4.3.0.dfsg.1-12.0.1 20050223080930
joshk@…)

Sound Card :
Sound Blaster Live 1024

* GDB informations *

olive@linuxcestcomplique:~/sources/mplayer/decomp/MPlayer-20050506$ gdb ./mplayer
GNU gdb 6.3-debian
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "i386-linux"...Using host libthread_db library
"/lib/tls/libthread_db.so.1".

(gdb) run -v toto.mpg
Starting program: /home/olive/sources/mplayer/decomp/MPlayer-20050506/mplayer -v
toto.mpg
[Thread debugging using libthread_db enabled]
[New Thread -1219653504 (LWP 17763)]
Using GNU internationalization
Original domain: messages
Original dirname: /usr/share/locale
Current domain: mplayer
Current dirname: /usr/share/locale

MPlayer dev-CVS-050506-06:00-3.3.5 (C) 2000-2005 MPlayer Team
CPU: Intel Celeron A Mendocino/Pentium? II Dixon (Family: 6, Stepping: 5)
Detected cache-line size is 32 bytes
CPUflags: MMX: 1 MMX2: 0 3DNow: 0 3DNow2: 0 SSE: 0 SSE2: 0
Compiled for x86 CPU with extensions: MMX

CommandLine?: '-v' 'toto.mpg'
init_freetype
get_path('font/font.desc') -> '/home/olive/.mplayer/font/font.desc'
Font /home/olive/.mplayer/font/font.desc loaded successfully! (206 chars)
Using MMX Optimized OnScreenDisplay?
Failed to open /dev/rtc: Device or resource busy (it should be readable by the
user.)
Using nanosleep() timing
get_path('input.conf') -> '/home/olive/.mplayer/input.conf'
Can't open input config file /home/olive/.mplayer/input.conf: No such file or
directory
Can't open input config file /etc/mplayer/input.conf: No such file or directory
Falling back on default (hardcoded) input config
get_path('toto.mpg.conf') -> '/home/olive/.mplayer/toto.mpg.conf'
Playing toto.mpg.
[file] File size is 317036052 bytes
STREAM: [file] toto.mpg
STREAM: Description: File
STREAM: Author: Albeu
STREAM: Comment: based on the code from ??? (probably Arpi)
CACHE_PRE_INIT: 0 [0] 0 pre:0 eof:0
Cache fill: 0.00% (0 bytes) Checking for YUV4MPEG2
ASF_check: not ASF guid!
Checking for Nullsoft Streaming Video
Checking for NuppelVideo?
Checking for REAL
Checking for SMJPEG
Searching demuxer type for filename toto.mpg ext: .mpg
Checking for MOV
Checking for VIVO
header block 1 size: 0
AVS: avs_check_file - attempting to open file toto.mpg
AVS: File is too big, aborting...
Checking for PVA
Checking for MPEG-TS...
TRIED UP TO POSITION 70573, FOUND 47, packet_size= 0, SEEMS A TS? 0
Checking for LMLM4 Stream Format
Invalid packet in LMLM4 stream: ch=0 size=1140851704
LMLM4 Stream Format not found
system stream synced at 0xD (0)!
==> Found video stream: 0
==> Found audio stream: 0
MPEG Stream reached EOF
ds_fill_buffer: EOF reached (stream: video)
MPEG-PS file format detected.
Searching for sequence header... OK!
VIDEO: MPEG2 720x576 (aspect 2) 25.000 fps 5200.0 kbps (650.0 kbyte/s)
[V] filefmt:2 fourcc:0x10000002 size:720x576 fps:25.00 ftime:=0.0400
get_path('sub/') -> '/home/olive/.mplayer/sub/'
get_path('default.sub') -> '/home/olive/.mplayer/default.sub'
==========================================================================
Opening audio decoder: [mp3lib] MPEG layer-2, layer-3
dec_audio: Allocating 4608 + 65536 = 70144 bytes for output buffer.
mp3lib: made decode tables with MMX optimization
mp3lib: using MMX optimized decore!
MP3lib: init layer2&3 finished, tables done
MPEG 1.0, Layer II, 48000 Hz 256 kbit Stereo, BPF: 768
Channels: 2, copyright: Yes, original: Yes, CRC: Yes, emphasis: 0
AUDIO: 48000 Hz, 2 ch, s16le, 256.0 kbit/16.67% (ratio: 32000->192000)
Selected audio codec: [mp3] afm:mp3lib (mp3lib MPEG layer-2, layer-3)
==========================================================================
X11 opening display: :0.0
vo: X11 color mask: FFFFFF (R:FF0000 G:FF00 B:FF)
vo: X11 running at 1024x768 with depth 24 and 32 bpp (":0.0" => local display)
[x11] Detected wm supports NetWM.
[x11] Detected wm supports FULLSCREEN state.
[x11] Detected wm supports ABOVE state.
[x11] Detected wm supports BELOW state.
[x11] Current fstype setting honours FULLSCREEN ABOVE BELOW X atoms
[xv common] Drawing colorkey manually.
[xv common] Using colorkey from Xv (0x010203).
==========================================================================
Opening video decoder: [mpegpes] MPEG 1/2 Video passthrough
VDec: vo config request - 720 x 576 (preferred csp: Mpeg PES)
Trying filter chain: vo
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
SwScale? params: -1 x -1 (-1=no scaling)
Trying filter chain: scale vo
The selected video_out device is incompatible with this codec.
VDecoder init failed :(
Opening video decoder: [libmpeg2] MPEG 1/2 Video decoder libmpeg2-v0.4.0b
Selected video codec: [mpeg12] vfm:libmpeg2 (MPEG-1 or 2 (libmpeg2))
==========================================================================
Checking audio filter chain for 48000Hz/2ch/s16le -> 48000Hz/2ch/s16le...
[libaf] Adding filter dummy
[dummy] Was reinitialized: 48000Hz/2ch/s16le
AF_pre: 48000Hz/2ch/s16le
ao2: 48000 Hz 2 chans s16le
audio_setup: using '/dev/dsp' dsp device
audio_setup: using '/dev/mixer' mixer device
audio_setup: using 'pcm' mixer device
audio_setup: sample format: s16le (requested: s16le)
audio_setup: using 2 channels (requested: 2)
audio_setup: using 48000 Hz samplerate (requested: 48000)
audio_setup: frags: 8/8 (8192 bytes/frag) free: 65536
AO: [oss] 48000Hz 2ch s16le (2 bps)
AO: Description: OSS/ioctl audio output
AO: Author: A'rpi
Building audio filter chain for 48000Hz/2ch/s16le -> 48000Hz/2ch/s16le...
[dummy] Was reinitialized: 48000Hz/2ch/s16le
[dummy] Was reinitialized: 48000Hz/2ch/s16le
Starting playback...
VDec: vo config request - 720 x 576 (preferred csp: Planar YV12)
Trying filter chain: vo
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is 1.33:1 - prescaling to correct movie aspect.
VO Config (720x576->768x576,flags=0,'MPlayer',0x32315659)
VO: [xv] 720x576 => 768x576 Planar YV12
VO: Description: X11/Xv
VO: Author: Gerd Knorr <kraxel@…> and others
Xvideo image format: 0x32595559 (YUY2) packed
Xvideo image format: 0x59565955 (UYVY) packed
Xvideo image format: 0x32315659 (YV12) planar
Xvideo image format: 0x30323449 (I420) planar
using Xvideo port 69 for hw scaling
[xv] dx: 0 dy: 0 dw: 768 dh: 576
* [vo] Allocating mp_image_t, 720x576x12bpp YUV planar, 622080 bytes
[xv] dx: 0 dy: 0 dw: 768 dh: 576
* [vo] Allocating mp_image_t, 720x576x12bpp YUV planar, 622080 bytes

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1219653504 (LWP 17763)]
0x084044bd in mpeg2_set_buf (mpeg2dec=0x86cb200, buf=0x86b0e08, id=0x86b0de8) at
decode.c:359
359 if (mpeg2dec->custom_fbuf && !mpeg2dec->fbuf[1]->buf[0]){

* backtrace

(gdb) bt
#0 0x084044bd in mpeg2_set_buf (mpeg2dec=0x86cb200, buf=0x86b0e08,
id=0x86b0de8) at decode.c:359
#1 0x080f7224 in decode (sh=0x86b0c78, data=0xb6316008, len=49363, flags=0) at
vd_libmpeg2.c:193
#2 0x080f51d3 in decode_video (sh_video=0x86b0c78, start=0x86b0de8
"\003Ã\004\fYV12Ð\002", in_size=141233640, drop_frame=0)

at dec_video.c:309

#3 0x080826b3 in main (argc=3, argv=0xbffff904) at mplayer.c:2340

* disass

(gdb) disass $pc-32 $pc+32
Dump of assembler code from 0x840449d to 0x84044dd:
0x0840449d <mpeg2_set_buf+77>: mov (%esi),%eax
0x0840449f <mpeg2_set_buf+79>: test %ecx,%ecx
0x084044a1 <mpeg2_set_buf+81>: mov %eax,(%edx)
0x084044a3 <mpeg2_set_buf+83>: mov 0x4(%esi),%eax
0x084044a6 <mpeg2_set_buf+86>: mov %eax,0x4(%edx)
0x084044a9 <mpeg2_set_buf+89>: mov 0x8(%esi),%eax
0x084044ac <mpeg2_set_buf+92>: mov %eax,0x8(%edx)
0x084044af <mpeg2_set_buf+95>: mov 0x10(%ebp),%eax
0x084044b2 <mpeg2_set_buf+98>: mov %eax,0xc(%edx)
0x084044b5 <mpeg2_set_buf+101>: je 0x84044e0 <mpeg2_set_buf+144>
0x084044b7 <mpeg2_set_buf+103>: mov 0x4438(%ebx),%edx
0x084044bd <mpeg2_set_buf+109>: mov (%edx),%eax
0x084044bf <mpeg2_set_buf+111>: test %eax,%eax
0x084044c1 <mpeg2_set_buf+113>: jne 0x84044e0 <mpeg2_set_buf+144>
0x084044c3 <mpeg2_set_buf+115>: movl $0x0,0xc(%edx)
0x084044ca <mpeg2_set_buf+122>: mov (%esi),%eax
0x084044cc <mpeg2_set_buf+124>: mov %eax,(%edx)
0x084044ce <mpeg2_set_buf+126>: mov 0x4(%esi),%eax
0x084044d1 <mpeg2_set_buf+129>: mov %eax,0x4(%edx)
0x084044d4 <mpeg2_set_buf+132>: mov 0x8(%esi),%eax
0x084044d7 <mpeg2_set_buf+135>: mov %eax,0x8(%edx)
0x084044da <mpeg2_set_buf+138>: lea 0x0(%esi),%esi
End of assembler dump.

* registers
(gdb) info all-registers
eax 0x86b0de8 141233640
ecx 0x1 1
edx 0x0 0
ebx 0x86cb200 141341184
esp 0xbfffd4f0 0xbfffd4f0
ebp 0xbfffd508 0xbfffd508
esi 0x86b0e08 141233672
edi 0x86cf450 141358160
eip 0x84044bd 0x84044bd
eflags 0x210202 2163202
cs 0x73 115
ss 0x7b 123
ds 0x7b 123
es 0x7b 123
fs 0x0 0
gs 0x33 51
st0 -nan(0x817e7b797a7e8286) (raw 0xffff817e7b797a7e8286)
st1 -nan(0x696d747b80818180) (raw 0xffff696d747b80818180)
st2 -1 (raw 0xbfff8000000000000000)
st3 0.462666549719870090484619140625 (raw 0x3ffdece2a14800000000)
st4 -0.019999998621642589569091796875 (raw 0xbff9a3d7098000000000)
st5 250000 (raw 0x4010f424000000000000)
st6 -0.1399999991059303339202557481257827 (raw 0xbffc8f5c28e666666800)
st7 -0.10483321634928385415502956334865559 (raw 0xbffbd6b2cc1e098ead64)
fctrl 0x37f 895
fstat 0x120 288
ftag 0xffff 65535
fiseg 0x73 115
fioff 0x808273f 134752063
foseg 0x7b 123
fooff 0x8424108 138559752
fop 0x5d8 1496
xmm0 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0,

0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0},

v2_int64 = {0x0, 0x0},

uint128 = 0x00000000000000000000000000000000}

xmm1 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0,

0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0},

v2_int64 = {0x0, 0x0},

uint128 = 0x00000000000000000000000000000000}

---Type <return> to continue, or q <return> to quit---
xmm2 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0,

0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0},

v2_int64 = {0x0, 0x0},

uint128 = 0x00000000000000000000000000000000}

xmm3 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0,

0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0},

v2_int64 = {0x0, 0x0},

uint128 = 0x00000000000000000000000000000000}

xmm4 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0,

0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0},

v2_int64 = {0x0, 0x0},

uint128 = 0x00000000000000000000000000000000}

xmm5 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0,

0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0},

v2_int64 = {0x0, 0x0},

uint128 = 0x00000000000000000000000000000000}

xmm6 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0,

0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0},

v2_int64 = {0x0, 0x0},

uint128 = 0x00000000000000000000000000000000}

xmm7 {v4_float = {0x0, 0x0, 0x0, 0x0}, v2_double = {0x0, 0x0},
v16_int8 = {0x0 <repeats 16 times>}, v8_int16 = {0x0,

0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0}, v4_int32 = {0x0, 0x0, 0x0, 0x0},

v2_int64 = {0x0, 0x0},

uint128 = 0x00000000000000000000000000000000}

mxcsr 0x1f80 8064
mm0 {uint64 = 0x817e7b797a7e8286, v2_int32 = {0x7a7e8286,
0x817e7b79}, v4_int16 = {0x8286, 0x7a7e, 0x7b79, 0x817e},

v8_int8 = {0x86, 0x82, 0x7e, 0x7a, 0x79, 0x7b, 0x7e, 0x81}}

mm1 {uint64 = 0x696d747b80818180, v2_int32 = {0x80818180,
0x696d747b}, v4_int16 = {0x8180, 0x8081, 0x747b, 0x696d},

v8_int8 = {0x80, 0x81, 0x81, 0x80, 0x7b, 0x74, 0x6d, 0x69}}

mm2 {uint64 = 0x8000000000000000, v2_int32 = {0x0, 0x80000000},
v4_int16 = {0x0, 0x0, 0x0, 0x8000}, v8_int8 = {0x0,

0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x80}}

mm3 {uint64 = 0xece2a14800000000, v2_int32 = {0x0, 0xece2a148},
v4_int16 = {0x0, 0x0, 0xa148, 0xece2}, v8_int8 = {0x0,

0x0, 0x0, 0x0, 0x48, 0xa1, 0xe2, 0xec}}

mm4 {uint64 = 0xa3d7098000000000, v2_int32 = {0x0, 0xa3d70980},
v4_int16 = {0x0, 0x0, 0x980, 0xa3d7}, v8_int8 = {0x0,

0x0, 0x0, 0x0, 0x80, 0x9, 0xd7, 0xa3}}

mm5 {uint64 = 0xf424000000000000, v2_int32 = {0x0, 0xf4240000},
v4_int16 = {0x0, 0x0, 0x0, 0xf424}, v8_int8 = {0x0,

0x0, 0x0, 0x0, 0x0, 0x0, 0x24, 0xf4}}

mm6 {uint64 = 0x8f5c28e666666800, v2_int32 = {0x66666800,
0x8f5c28e6}, v4_int16 = {0x6800, 0x6666, 0x28e6, 0x8f5c},

v8_int8 = {0x0, 0x68, 0x66, 0x66, 0xe6, 0x28, 0x5c, 0x8f}}

mm7 {uint64 = 0xd6b2cc1e098ead64, v2_int32 = {0x98ead64, 0xd6b2cc1e},
v4_int16 = {0xad64, 0x98e, 0xcc1e, 0xd6b2},

v8_int8 = {0x64, 0xad, 0x8e, 0x9, 0x1e, 0xcc, 0xb2, 0xd6}}

comment:11 Changed 14 years ago by diego@…

Could you provide a sample file or parts thereof? See our bug reporting
guidelines for details.

comment:12 Changed 14 years ago by 2s2n4e@…

Only some mpeg files got this crash but _every_ DVD I try to read has this crash.
The file I'm actually trying to read is 317 Mo so I doubt you'll be glad to find
it in your mailbox.
I'll try to find a smaller one, what is your maximum limit ?

One more interesting thing : if I launch with gmplayer instead of just mplayer
it works ! But after a few seconds, image and sound get de-synchronized and I
have the dreaded message "Your system is too slow to..." but I still can see the
movie.

There must be sometgin wrong with the sound driver, I've tried with the OSS
emulation : mplayer -ao oss:/dev/dsp but I still got the crash.

I don't know what can I do to help you more, but don't hesitate to ask me something.

Regards

comment:13 Changed 14 years ago by diego@…

You could help enormously by actually reading the bug reporting guidelines as I
asked you to. You'll find an explanation what and how to upload there.

comment:14 Changed 14 years ago by 2s2n4e@…

Ok sorry.

I have just uploaded the file toto.mpg along with the mplayer output on toto.txt
to ftp://mplayerhq.hu/MPlayer/incoming/

comment:15 Changed 14 years ago by diego@…

Works fine here for me, Debian Sarge, kernel 2.4.30, K6-III, Matrox G550.
Roberto, can you reproduce this?

comment:16 Changed 14 years ago by r_togni@…

I can't reproduce the crash, tested with cvs, pre7-6-5-4-3try2
I'm on 2.6.10, debian unstable, P4, Radeon9000, AC97 audio with OSS emulation

Can you reporduce the crash with the file you uploaded (not with the complete
movie)?

Can you try with -ao null (so the audio decoder is used but the audio output is
not), and maybe with a memory debugger (valgrind)?

You also reported that you have the crash with every DVD. That suggests a
probelm on your setup (mplayer/x/sound/...), because DVD playback works for a
lot of people on different systems.

comment:17 Changed 14 years ago by 2s2n4e@…

Thank you so much for your quick replies.
It seems that I managed to find the culprit : -hardframedrop
It was in my ~/.mplayer/config file so it doesn't appear on the output I sent you.

When I don't use -hardframedrop, or if I just use -framedrop the videos/DVD are
playing OK even if after a while audio/video get desynchronized.

Anyway I'be tried the -hardframedrop with -ao null and I still got the crash.
Running valgrind I got nothing, it seems to play but I got a black screen.

Reading carefully the mplayer documentation, I checked my video settings and
everythings seems fine. I have an ATI all in wonder 16 Mo video card and using
the correct GATOS driver without VSYNC enabled (well, I hope, I put a modeline
-vsync in my XFree86Config-4).
cat /proc/mtrr gives :
reg00: base=0x00000000 ( 0MB), size= 256MB: write-back, count=1
reg01: base=0x10000000 ( 256MB), size= 64MB: write-back, count=1
reg02: base=0xe4000000 (3648MB), size= 64MB: write-combining, count=1
reg03: base=0xe0000000 (3584MB), size= 16MB: write-combining, count=2
which seems correct (but well I don't quite know how to decrypt this).

It really appears to be the sound driver which is the problem, but I don't quite
know how to debug this. It's strange because I have a fairly standard sound card
(soundblaster live 1024).

Apparently audio-video synchronisation requires a lot of CPU, thus leading to
image distorsion or crash if I use hardframedrop.

Do you think that my computer is enough to play DVD with mplayer ?
Celeron overclocked at 487 Mhz, with an ATI All in Wonder and a soundblaster
seems good enough for me...

Anyway the crash is still here but not a problem anymore for me (I can happily
use -framedrop instead). Do you want me to close the bug ?

Regards,

comment:18 Changed 14 years ago by diego@…

  • Summary changed from mplayer crashed : received SIGSEGV in decode.c to -hardframedrop: received SIGSEGV in decode.c

I remember seeing crashes with -hardframedrop every so often. It's a somewhat
dangerous option that may break things, so I'm not sure if we can/should
consider this a bug. Roberto, what do you say?

comment:19 Changed 13 years ago by diego@…

  • Resolution set to wontfix
  • Status changed from reopened to closed

I'm resolving this as WONTFIX, with -hardframedrop there cannot be a guarantee
against crashes.

Note: See TracTickets for help on using tickets.